=== debian/changelog ===
ros-class-loader (2.9.1-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 2.9.1
  * Refresh patches (no functional changes)
  * Enable all hardening options
  * Add debian .symbols file

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Oct 2025 13:32:53 +0100
