=== debian/control ===
Source: ros-class-loader
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 ament-cmake,
 ament-cmake-googletest <!nocheck>,
 ament-cmake-ros,
 ament-lint <!nocheck>,
 cmake,
 libconsole-bridge-dev,
 librcpputils-dev,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/class_loader
Vcs-Git: https://salsa.debian.org/science-team/ros-class-loader.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-class-loader
Description: ROS class_loader library
 This package is part of Robot OS (ROS). The class_loader package is a
 ROS-independent package for loading plugins during runtime and the
 foundation of the higher level ROS "pluginlib" library.  class_loader
 utilizes the host operating system's runtime loader to open runtime
 libraries (e.g. .so/.dll files), introspect the library for exported
 plugin classes, and allows users to instantiate objects of said
 exported classes without the explicit declaration (i.e. header file)
 for those classes.

Package: libclass-loader-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libclass-loader3d (= ${binary:Version}),
 libconsole-bridge-dev,
 librcpputils-dev,
 ${misc:Depends},
Breaks:
 pluginlib-dev (<< 5.2.0),
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package contains the development files for the library.

Package: libclass-loader3d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the library.
