=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export ROS_CONFIGURE_ARGS = -DCLASS_LOADER_SOVERSION=3d
export ROS_EXECUTE_AFTER_CONFIGURE=sed -i -e '1icmake_policy(SET CMP0057 NEW)' -e '$$aset(class_loader_FOUND_CATKIN_PROJECT TRUE)\nset(class_loader_INCLUDE_DIRS "/usr/include/class_loader;/usr/include/rcpputils;/usr/include/rcutils")\nset(class_loader_LIBRARIES "class_loader")' obj-$(DEB_HOST_GNU_TYPE)/class_loader/ament_cmake_core/class_loaderConfig.cmake

%:
	dh $@ --buildsystem=ros
